//
//  NSInputStream_Extensions.m
//  SQLKit
//
//  Created by Richard Penwell on 2/3/10.
//  Copyright 2010 Richard Penwell. All rights reserved.
//

#import "NSInputStream+Extensions.h"


@implementation NSInputStream (Extensions)

- (NSData*)readData
{
	if ([self hasBytesAvailable])
	{
		uint8_t buffer[4096];
		NSInteger length = [self read:(uint8_t *)buffer maxLength:4096];
		if (length > 0)
			return [NSData dataWithBytes:buffer length:length];
		
		return nil;
	}
}

@end
