//
//  TDSCore.h
//  SQLKit
//
//  Created by Richard Penwell on 2/2/10.
//  Copyright 2010 Richard Penwell. All rights reserved.
//

#import <Cocoa/Cocoa.h>

extern const UInt32 kTDSVersion;
extern NSString* kTDSServerBuild;
extern NSString* kTDSEncryptionType;
extern NSString* kTDSInstanceName;
extern NSString* kTDSInstanceNameCorrect;
extern NSString* kTDSThreadId;
extern NSString* kTDSMultipleActiveResultSet;

@class TDSConnection;

@interface TDSCore : NSObject {
	TDSConnection* connection;
}

- (void)preLoginWithParameters:(NSDictionary*)parameters;
- (void)loginToDatabaseName:(NSString *)database username:(NSString *)username password:(NSString *)password;

- (NSDictionary*)processPreloginResponse:(NSData*)packetData;

@property (nonatomic, retain) TDSConnection* connection;

@end
