//
//  TDSResultPacketDelegate.h
//  SQLKit
//
//  Created by Richard Penwell on 3/3/10.
//  Copyright 2010 Richard Penwell. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <SQLKit/SQLKit.h>

@class TDSResultPacket;

@protocol TDSResultPacketDelegate

- (void)resultPacket:(TDSResultPacket*)packet didRecieveColumnDefinitions:(NSArray*)columns;
- (void)resultPacket:(TDSResultPacket*)packet didRecieveMessage:(NSString*)message;
- (void)resultPacket:(TDSResultPacket*)packet didRecieveRow:(SQLRow*)row;

@end