/*
 *  TDSCommon.h
 *  SQLKit
 *
 *  Created by Richard Penwell on 2/3/10.
 *  Copyright 2010 Richard Penwell. All rights reserved.
 *
 */

#import "TDSStructures.h"
#import "NSProcessInfo+MacAddress.h"
#import "NSInputStream+Extensions.h"
#import "NSOutputStream+Extensions.h"
#import "NSMutableData+Extensions.h"
#import "NSDataReader.h"

#define TDSTokenMask 0x30

#define TDSZeroLengthToken(token) ((token & TDSTokenMask) == 0x10)
#define TDSFixedLengthToken(token) ((token & TDSTokenMask) == 0x30)
#define TDSVariableLengthToken(token) ((token & TDSTokenMask) == 0x20)
#define TDSVariableCountToken(token) ((token & TDSTokenMask) == 0x00)
