//
//  TDSConnectionDelegate.h
//  SQLKit
//
//  Created by Richard Penwell on 2/2/10.
//  Copyright 2010 Richard Penwell. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "TDSStructures.h"

@class TDSConnection;

@protocol TDSConnectionDelegate

@optional
- (void)connectionDidOpenSuccessfully:(TDSConnection *)connection;
- (void)connection:(TDSConnection *)connection didFailToOpenReason:(NSError*)error;
- (void)connection:(TDSConnection *)connection didRecievePacket:(TDSHeader)header withData:(NSData*)data;

@end
