//
//  TDSLoginPacket.h
//  SQLKit
//
//  Created by Richard Penwell on 2/7/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "TDSCommon.h"

@interface TDSLoginPacket : NSObject {
	UInt32 tdsVersion;
	UInt32 packetSize;
	UInt32 clientVersion;
	UInt32 clientProcessId;
	UInt32 connectionId;
	
	NSString* username;
	NSString* password;
	NSString* applicationName;
	NSString* serverName;
	NSString* libraryName;
	NSString* language;
	NSString* databaseName;
	NSString* attachDatabaseFile;
	NSString* changePassword;
}

@property UInt32 tdsVersion;
@property UInt32 packetSize;
@property UInt32 clientVersion;
@property UInt32 clientProcessId;
@property UInt32 connectionId;
@property (nonatomic, retain) NSString* username;
@property (nonatomic, retain) NSString* password;
@property (nonatomic, retain) NSString* applicationName;
@property (nonatomic, retain) NSString* serverName;
@property (nonatomic, retain) NSString* libraryName;
@property (nonatomic, retain) NSString* language;
@property (nonatomic, retain) NSString* databaseName;
@property (nonatomic, retain) NSString* attachDatabaseFile;
@property (nonatomic, retain) NSString* changePassword;

- (NSData*)createPacket;

@end
