//
//  TDSToken.h
//  SQLKit
//
//  Created by Richard Penwell on 2/2/10.
//  Copyright 2010 Richard Penwell. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface TDSToken : NSObject {
	UInt8 token;
	UInt8 status;
	UInt8 operation;
	NSData *nonce;
	NSData *ntlmMessage;
	NSData *ntlmTarget;
	NSMutableArray *dynamicParameterInfo;
	NSMutableArray *dynamicParameterData;
}

- (BOOL)isUpdateCount;
- (BOOL)isEndToken;
- (BOOL)isAuthenticationToken;
- (BOOL)isMoreResultsPending;
- (BOOL)isResultSet;
- (BOOL)isRowData;

@end
