//
//  SQLConnectionProvider.h
//  SQLKit
//
//  Created by Richard Penwell on 2/1/10.
//  Copyright 2010 Richard Penwell. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface SQLConnectionProvider : NSObject {
	NSBundle* providerBundle;
}

+ (SQLConnectionProvider*)connectionProviderWithBundle:(NSBundle*)bundle;
+ (SQLConnectionProvider*)connectionProviderWithName:(NSString*)name;

- (SQLConnectionProvider*)initWithBundle:(NSBundle*)bundle;
- (SQLConnectionProvider*)initWithName:(NSString*)name;

- (Class)connectionClass;

@end
